org.apache.jmeter.protocol.http.control

## Class KerberosManager

- java.lang.Object
- - org.apache.jmeter.protocol.http.control.KerberosManager

- All Implemented Interfaces:
    java.io.Serializable

      public class KerberosManager
      extends java.lang.Object
      implements java.io.Serializable

  Takes in charge Kerberos auth mechanism
  Since:
    2.10
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getJaasConf()`
    `java.lang.String` | `getKrb5Conf()`
    `boolean` | `getKrb5Debug()`
    `javax.security.auth.Subject` | `getSubjectForUser(java.lang.String username, java.lang.String password)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosManager

          public KerberosManager()

  - ### Method Detail

    - #### getSubjectForUser

          public javax.security.auth.Subject getSubjectForUser(java.lang.String username,
                                                               java.lang.String password)

    - #### getKrb5Conf

          public java.lang.String getKrb5Conf()

    - #### getKrb5Debug

          public boolean getKrb5Debug()

    - #### getJaasConf

          public java.lang.String getJaasConf()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.